> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get team by nanoid



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/teams/{team_nanoid}
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/teams/{team_nanoid}:
    get:
      tags:
        - B2B Teams
      summary: Get team by nanoid
      parameters:
        - schema:
            type: string
            minLength: 15
            maxLength: 15
            pattern: ^te-.*
          in: path
          name: team_nanoid
          required: true
          description: Unique identifier of the team for which to retrieve users.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      nanoid:
                        type: string
                        description: Unique identifier for the team.
                      name:
                        type: string
                        minLength: 1
                        description: Name of the team.
                      avatar:
                        type: string
                        description: URL of the team avatar.
                      balance:
                        type: string
                        description: Current balance of the team.
                      administrators:
                        type: array
                        items:
                          type: object
                          properties:
                            relationship_nanoid:
                              type: string
                              description: >-
                                Unique identifier for the relationship of the
                                administrator.
                            user_nanoid:
                              type: string
                              description: Unique identifier for the user.
                            avatar:
                              type: string
                              description: URL of the administrator's avatar.
                            first_name:
                              type: string
                              description: First name of the administrator.
                            middle_name:
                              type: string
                              description: Middle name of the administrator.
                            last_name:
                              type: string
                              description: Last name of the administrator.
                            email:
                              type: string
                              description: Email address of the administrator.
                            type:
                              type: string
                              enum:
                                - team_admin
                                - team_finance_admin
                                - team_viewer
                                - team_payment_initiator
                              description: Role type of the administrator within the team.
                          required:
                            - relationship_nanoid
                            - user_nanoid
                            - avatar
                            - first_name
                            - middle_name
                            - last_name
                            - email
                            - type
                          additionalProperties: false
                    required:
                      - nanoid
                      - name
                      - avatar
                      - balance
                      - administrators
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````